| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::ConnectionInterfaceCellularInterface Class Reference
Connection proxies

`#include <TelepathyQt/Connection>`

Inherits Tp::AbstractInterface.

List of all members.

## Signals

- void IMSIChanged (const QString &IMSI)

## Public Member Functions

- ConnectionInterfaceCellularInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ConnectionInterfaceCellularInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ConnectionInterfaceCellularInterface (Tp::DBusProxy *proxy)
- ConnectionInterfaceCellularInterface (const Tp::Client::ConnectionInterface &mainInterface)
- ConnectionInterfaceCellularInterface (const Tp::Client::ConnectionInterface &mainInterface, QObject *parent)
- Tp::PendingVariant * requestPropertyMessageValidityPeriod () const
- Tp::PendingOperation * setPropertyMessageValidityPeriod (uint newValue)
- Tp::PendingVariant * requestPropertyOverrideMessageServiceCentre () const
- Tp::PendingOperation * setPropertyOverrideMessageServiceCentre (bool newValue)
- Tp::PendingVariant * requestPropertyMessageServiceCentre () const
- Tp::PendingOperation * setPropertyMessageServiceCentre (QString newValue)
- Tp::PendingVariant * requestPropertyIMSI () const
- Tp::PendingVariant * requestPropertyMessageReducedCharacterSet () const
- Tp::PendingOperation * setPropertyMessageReducedCharacterSet (bool newValue)
- Tp::PendingVariant * requestPropertyMessageNationalCharacterSet () const
- Tp::PendingOperation * setPropertyMessageNationalCharacterSet (QString newValue)
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.Cellular".

## Constructor & Destructor Documentation

Tp::Client::ConnectionInterfaceCellularInterface::ConnectionInterfaceCellularInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceCellularInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfaceCellularInterface::ConnectionInterfaceCellularInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceCellularInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfaceCellularInterface::ConnectionInterfaceCellularInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ConnectionInterfaceCellularInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ConnectionInterfaceCellularInterface::ConnectionInterfaceCellularInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface | ) | `[explicit]`

Creates a ConnectionInterfaceCellularInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::ConnectionInterfaceCellularInterface::ConnectionInterfaceCellularInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ConnectionInterfaceCellularInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ConnectionInterfaceCellularInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Connection.Interface.Cellular", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::ConnectionInterfaceCellularInterface::requestPropertyMessageValidityPeriod | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `MessageValidityPeriod` of type `uint`.

Define how long should the service centre try message delivery before giving up, failing delivery and deleting the message. A value of 0 means to use the service centre's default period.

The value specified is in seconds. Note that various protocols or implementations may round the value up (eg. to a minute or hour precision). The maximum validity period may vary depending on protocol or provider.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingOperation* Tp::Client::ConnectionInterfaceCellularInterface::setPropertyMessageValidityPeriod | ( | uint | newValue | ) | `[inline]`

Asynchronous setter for the remote object property `MessageValidityPeriod` of type `uint`.

Define how long should the service centre try message delivery before giving up, failing delivery and deleting the message. A value of 0 means to use the service centre's default period.

The value specified is in seconds. Note that various protocols or implementations may round the value up (eg. to a minute or hour precision). The maximum validity period may vary depending on protocol or provider.

Returns:
  A pending operation which will emit finished when the property has been set.

Tp::PendingVariant* Tp::Client::ConnectionInterfaceCellularInterface::requestPropertyOverrideMessageServiceCentre | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `OverrideMessageServiceCentre` of type `bool`.

If `True`, SMSes will be sent via the service centre specified by MessageServiceCentre . If `False`, the SIM's default SMSC will be used, ignoring the value of MessageServiceCentre.

It could be desirable for a configuration interface to remember the user's previous choice of custom SMSC, even if it's not in use. This boolean allows that choice to be saved as an account parameter by Mission Control, rather than the UI needing to save it elsewhere to be restored if the user wants to reactivate it.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingOperation* Tp::Client::ConnectionInterfaceCellularInterface::setPropertyOverrideMessageServiceCentre | ( | bool | newValue | ) | `[inline]`

Asynchronous setter for the remote object property `OverrideMessageServiceCentre` of type `bool`.

If `True`, SMSes will be sent via the service centre specified by MessageServiceCentre . If `False`, the SIM's default SMSC will be used, ignoring the value of MessageServiceCentre.

It could be desirable for a configuration interface to remember the user's previous choice of custom SMSC, even if it's not in use. This boolean allows that choice to be saved as an account parameter by Mission Control, rather than the UI needing to save it elsewhere to be restored if the user wants to reactivate it.

Returns:
  A pending operation which will emit finished when the property has been set.

Tp::PendingVariant* Tp::Client::ConnectionInterfaceCellularInterface::requestPropertyMessageServiceCentre | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `MessageServiceCentre` of type `QString`.

Address for the messaging service centre. Typically (as is the case for GSM's SMSC), it's the ISDN / telephony address (ie. a phone number). If OverrideMessageServiceCentre is `False`, this property's value should be ignored by the CM in favour of the SIM's default SMSC.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingOperation* Tp::Client::ConnectionInterfaceCellularInterface::setPropertyMessageServiceCentre | ( | QString | newValue | ) | `[inline]`

Asynchronous setter for the remote object property `MessageServiceCentre` of type `QString`.

Address for the messaging service centre. Typically (as is the case for GSM's SMSC), it's the ISDN / telephony address (ie. a phone number). If OverrideMessageServiceCentre is `False`, this property's value should be ignored by the CM in favour of the SIM's default SMSC.

Returns:
  A pending operation which will emit finished when the property has been set.

Tp::PendingVariant* Tp::Client::ConnectionInterfaceCellularInterface::requestPropertyIMSI | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `IMSI` of type `QString`.

The International Mobile Subscriber Identifier, if it exists. This would originate from a SIM card. If the IMSI is unknown, this will contain an empty string ("").

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::ConnectionInterfaceCellularInterface::requestPropertyMessageReducedCharacterSet | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `MessageReducedCharacterSet` of type `bool`.

Determines how to encode SMSes containing characters that do not fit into a non-Unicode character set. If `False` (which SHOULD be the default), messages will be encoded as UCS-2 and sent with no loss of fidelity (at the potential financial cost of using twice as many SMSes); if `True`, the message will be recoded in an implementation‐specific way to fit into a GSM reduced character set.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingOperation* Tp::Client::ConnectionInterfaceCellularInterface::setPropertyMessageReducedCharacterSet | ( | bool | newValue | ) | `[inline]`

Asynchronous setter for the remote object property `MessageReducedCharacterSet` of type `bool`.

Determines how to encode SMSes containing characters that do not fit into a non-Unicode character set. If `False` (which SHOULD be the default), messages will be encoded as UCS-2 and sent with no loss of fidelity (at the potential financial cost of using twice as many SMSes); if `True`, the message will be recoded in an implementation‐specific way to fit into a GSM reduced character set.

Returns:
  A pending operation which will emit finished when the property has been set.

Tp::PendingVariant* Tp::Client::ConnectionInterfaceCellularInterface::requestPropertyMessageNationalCharacterSet | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `MessageNationalCharacterSet` of type `QString`.

Hint for the connection manager for the GSM character set that should be used to send SMSes. The connection manager SHOULD follow this hint unless it has other ways to determine a better encoding. If the value is `"gsm"` (which SHOULD be the default), SMSes will be encoded in the normal 7-bit GSM character set, eventually falling back to UCS-2; see the MessageReducedCharacterSet property for details. Other valid character sets are specified in the GSM standard and are, for instance, `"turkey"`, `"spain"` or `"portugal"`. If the SMS cannot be encoded using the requested character set the behaviour is implementation-specific, but it is RECOMMENDED that the connection manager should behave as if this property was set to `"gsm"`.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingOperation* Tp::Client::ConnectionInterfaceCellularInterface::setPropertyMessageNationalCharacterSet | ( | QString | newValue | ) | `[inline]`

Asynchronous setter for the remote object property `MessageNationalCharacterSet` of type `QString`.

Hint for the connection manager for the GSM character set that should be used to send SMSes. The connection manager SHOULD follow this hint unless it has other ways to determine a better encoding. If the value is `"gsm"` (which SHOULD be the default), SMSes will be encoded in the normal 7-bit GSM character set, eventually falling back to UCS-2; see the MessageReducedCharacterSet property for details. Other valid character sets are specified in the GSM standard and are, for instance, `"turkey"`, `"spain"` or `"portugal"`. If the SMS cannot be encoded using the requested character set the behaviour is implementation-specific, but it is RECOMMENDED that the connection manager should behave as if this property was set to `"gsm"`.

Returns:
  A pending operation which will emit finished when the property has been set.

Tp::PendingVariantMap* Tp::Client::ConnectionInterfaceCellularInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::ConnectionInterfaceCellularInterface::IMSIChanged | ( | const QString & | IMSI | ) | `[signal]`

Represents the signal `IMSIChanged` on the remote object.

Emitted when the IMSI for the connection changes. This sort of thing is rare, but could happen on cellular phones that allow hot-swapping of SIM cards. In the case of SIM swapping, this signal would be emitted twice; the first time while the SIM is being ejected (with an empty string), and the second time after a new SIM has been inserted (assuming that the IMSI can be determined from the new SIM).

Parameters:

  IMSI | The new IMSI value. This may be an empty string in the case where the IMSI is being reset or removed.

void Tp::Client::ConnectionInterfaceCellularInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.